Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections
Interface SortedBidiMap

All Superinterfaces:
  BidiMap, IterableMap, Map, OrderedBidiMap, OrderedMap, SortedMap

All Known Implementing Classes:
  AbstractSortedBidiMapDecorator, DualTreeBidiMap

public interface SortedBidiMap
extends OrderedBidiMap, SortedMap

Defines a map that allows bidirectional lookup between key and values and retains both keys and values in sorted order.

Implementations should allow a value to be looked up from a key and a key to be looked up from a value with equal performance.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/02/18 01:15:42 $
Author:
  Stephen Colebourne

Method Summary
`BidiMap` | `inverseBidiMap()` Gets a view of this map where the keys and values are reversed.
`SortedBidiMap` | `inverseSortedBidiMap()` Gets a view of this map where the keys and values are reversed.

Methods inherited from interface org.apache.commons.collections.OrderedBidiMap
`inverseOrderedBidiMap`

Methods inherited from interface org.apache.commons.collections.BidiMap
`getKey, mapIterator, put, removeValue`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from interface org.apache.commons.collections.OrderedMap
`firstKey, lastKey, nextKey, orderedMapIterator, previousKey`

Methods inherited from interface java.util.SortedMap
`comparator, firstKey, headMap, lastKey, subMap, tailMap`

Method Detail

### inverseBidiMap

    public BidiMap inverseBidiMap()

  Gets a view of this map where the keys and values are reversed.

  Changes to one map will be visible in the other and vice versa. This enables both directions of the map to be accessed equally.

  Implementations should seek to avoid creating a new object every time this method is called. See `AbstractMap.values()` etc. Calling this method on the inverse map should return the original.

  Implementations must return a `SortedBidiMap` instance, usually by forwarding to `inverseSortedBidiMap()`.

  Specified by:
    `inverseBidiMap` in interface `OrderedBidiMap`
  Returns:
    an inverted bidirectional map

### inverseSortedBidiMap

    public SortedBidiMap inverseSortedBidiMap()

  Gets a view of this map where the keys and values are reversed.

  Changes to one map will be visible in the other and vice versa. This enables both directions of the map to be accessed as a `SortedMap`.

  Implementations should seek to avoid creating a new object every time this method is called. See `AbstractMap.values()` etc. Calling this method on the inverse map should return the original.

  The inverse map returned by `inverseBidiMap()` should be the same object as returned by this method.

  Returns:
    an inverted bidirectional map

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 Apache Software Foundation. All Rights Reserved.